Subject: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent directory

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Mar 2021 20:36:15 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 16 Mar 2021 17:32:47 +0000
> 
> > Running test/src/comp-tests.el causes creation of the directory
> > /nonexistent/.emacs.d/eln-cache/ and puts there *.eln files it
> > generates.  I think the test (or test/Makefile) should be modified to
> > direct the eln cache to some temporary directory that should be
> > deleted after the test completes.  Otherwise the files in this eln
> > cache could affect future test runs.
> 
> Hi Eli,
> 
> just a question: how are you invoking the tests in comp-tests.el?

Like this:

  $ cd test
  $ make src/comp-tests SELECTOR='(not comp-tests-bootstrap)'